%define	name		poppler
%define version 0.4.1
%define	rel	1
%define release %mkrel	%rel
%define libname		%mklibname %name 0
%define libnameqt	%mklibname %name-qt 0

Summary:	PDF rendering library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://poppler.freedesktop.org
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  qt3-devel
BuildRequires:  gtk2-devel
BuildRequires:  cairo-devel >= 0.5.0

%description
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libname}
Summary:	PDF rendering library
Group:          System/Libraries

%description -n %{libname}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libname}-devel
Summary:	Development files for %{name}
Group:		System/Libraries
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
Development files for %{name}

%package -n %{libnameqt}
Summary:	PDF rendering library - QT backend
Group:          System/Libraries

%description -n %{libnameqt}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the QT backend version.

%package -n %{libnameqt}-devel
Summary:	Development files for %{name}-qt
Group:		System/Libraries
Provides:	lib%{name}-qt-devel = %{version}
Requires:	%{libnameqt} = %{version}
Requires:	%libname-devel = %version

%description -n %{libnameqt}-devel
Development files for %{name}-qt

%prep
%setup -q
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%build
export CPPFLAGS="-I%_includedir/freetype2"
%configure2_5x --enable-a4-paper --enable-poppler-qt
%make

%install
rm -rf %{buildroot}
%makeinstall

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libnameqt} -p /sbin/ldconfig
%postun -n %{libnameqt} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libpoppler-glib.so.*
%{_libdir}/libpoppler.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libpoppler-glib.so
%{_libdir}/libpoppler.so
%{_libdir}/libpoppler-glib.*a
%{_libdir}/libpoppler.*a
%dir %{_includedir}/poppler
%{_includedir}/poppler/glib
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_includedir}/poppler/poppler-config.h
%{_includedir}/poppler/[A-Z]*
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/pkgconfig/poppler-glib.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/pkgconfig/poppler.pc


%files -n %{libnameqt}
%defattr(-,root,root)
%{_libdir}/libpoppler-qt.so.*

%files -n %{libnameqt}-devel
%defattr(-,root,root)
%{_libdir}/libpoppler-qt.so
%{_libdir}/libpoppler-qt.*a
%{_libdir}/pkgconfig/poppler-qt.pc
%_includedir/poppler/poppler-qt.h

%changelog
* Fri Aug 26 2005 AndyRTR <rpm@mandrivauser.de> 0.4.1-1mud
- rebuild for Mandriva 2005LE
- added %%mkrel

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Tue Aug 16 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Thu Aug 11 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- rebuild for new cairo

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- requires new cairo
- drop merged patch
- New release 0.3.2

* Thu May 05 2005 Pascal Terjan <pterjan@mandriva.org> 0.3.1-4mdk
- Enforce Qt suuport so that we fail at configure not when checking %%files
- Fix building Qt support on x86_64

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.1-3mdk
- Rebuild with new gcc
- Add patch1: fix load text in utf8 Patch from Albert Astals Cid

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 0.3.1-2mdk
- move qt support to a separate package

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.1-1mdk
- 0.3.1
- Reactivate qt support necessary for kat

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- disable qt wrapper
- New release 0.3.0

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-2mdk
- enable cairo

* Wed Apr 06 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Tue Mar 15 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.2-2mdk
- Explicitely disable cairo and drop the useless BuildRequires (will have
  to be when we'll have newer cairo)

* Mon Mar 14 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.2-1mdk
- First mdk package
